Subject: Re: [PATCH v2] apply: resolve trivial merge without hitting ll-merge with "--3way"

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Sep 2021 13:15:37 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Partly this is cleaning up a mess after an existing test, but here
> there's no reason we can't use test_when_finished() for all the new
> tests to make them clean up after themselves:

I do not mind if somebody wants to send in a janitorial patch after
the dust settles, but adding "test_when_finished reset --hard" after
each "refs --hard" at the beginning of each test is not something I
would expect to see.  Such a patch should first choose between "each
test cleans after itself" and "expect previous ones may have left a
mess, so each test clears the slate sufficiently before it starts"
and then stick to the approach, not mixture of both, I would think.

Thanks.